## Bounties

We use bounties to incentivize development. To receive a bounty, you agree to these conditions:

- Bounties will be set and awarded at discretion of the Haveno core team.
- The issues eligible for a bounty are labelled '💰bounty' and have the amount of the bounty specified in the title in this form: `[$200]` if in dollars or `[ɱ20]` if in Monero.
- The first person who resolves an issue in its entirety will receive the entire amount of the bounty.
- If the issue is resolved collaboratively by more than one person, the reward will be distributed among the contributors at discretion of the Haveno core team.
- Let the Maintainers know if you intend to work on a bounty, so that the issue can be assigned to you. Being assigned to an issue doesn't make that issue resolvable only by the assignee. It's meant to avoid duplication of efforts and not to discourage collective works.
- After the issue is resolved, contact the maintainers and claim your bounty (remember to provide them with a Monero address).
- If a big number of bounties is claimed at the same time, the maintainers might opt for sending all the rewards on a specific day of the month instead of right after resolution.
- If the bounty is in dollars, the contributor will receive the amount in Monero according to the value of XMR at the moment the issue was practically resolved, so in the moment the maintainers accept the last patch resolving the issue.

You are also required to follow these styling guidelines:

- Be verbose. Remember this is collaborative development and we need to make life as easy as possible for future developers and for the current maintainers. Pull requests should contain as many details as possible about what you are going to change and why. Avoid "title only" PRs, unless they are self-explanatory.
- Pull requests should contain one single commit, unless it makes sense to have more. Please become familiar with git if you are not.
- All formatting needs to be consistent with the current code.
- Changes must be done 'the right way'. No hacks to make things work, if you are having issues, let the other devs know, so that we can help you out.

We want to keep the system simple and flexible, but we will add new rules or edit existing ones if necessary.